dofile("scripts/entities/entityinclude.lua")

n=0

function init(me)
	n = getNaija()
end

function update(me, dt)
	if isFlag(FLAG_VISION_VEIL, 0) then
		if node_isEntityIn(me, n) then
			setFlag(FLAG_VISION_VEIL, 1)
			entity_idle(n)
			entity_setInvincible(n, true)
			watch(1)
			entity_animate(n, "agony", -1)			
			watch(2)
			pause()
			voice("Naija_Vision_Veil")
			showImage("Visions/Veil/00")
			watchForVoice()
			hideImage()
			unpause()			
			entity_setInvincible(n, false)
		end
	end
end
